> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gengen.farm/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Higgsfield video task



## OpenAPI

````yaml openapi/higgsfield-video.yaml GET /contents/generations/tasks/{id}
openapi: 3.1.0
info:
  title: Higgsfield video API
  version: 1.0.0
  description: >-
    Independent Higgsfield Seedance 2.0 and 2.5 generation with wallet
    reservations and completion billing.
servers:
  - url: https://gengen.farm/api/gengen/v1
security:
  - bearerAuth: []
paths:
  /contents/generations/tasks/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          pattern: ^higgsfield(20|25):[0-9a-f-]{36}$
        description: GENGEN task ID for a task owned by the caller.
    get:
      summary: Retrieve a Higgsfield video task
      operationId: retrieveHiggsfieldVideoTask
      responses:
        '200':
          description: Normalized GENGEN task. Poll until terminal completion.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
        '404':
          description: Task not found for this caller.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: >-
            Output storage or settlement is temporarily unavailable; retry the
            same task query.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Task:
      type: object
      required:
        - id
        - model
        - status
        - outputs
      properties:
        id:
          type: string
        model:
          type: string
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
            - cancelled
        outputs:
          type: object
          properties:
            videos:
              type: array
              items:
                type: string
                format: uri
            images:
              type: array
              items:
                type: string
                format: uri
        failureReason:
          type: string
    Error:
      type: object
      properties:
        error:
          type: string
        error_code:
          type: string
        error_params:
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````